Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000339 [Piwigo] metadata minor always 2006.04.18 16:13 2006.04.21 01:31
Reporter rvelices View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version 1.6 branch
  Target Version Product Build
Summary 0000339: Mysql error when a tag appears multiple times in the metadata
Description After the keywords are split using regular expressions, a tag might appear several times. The MySql query fails with [mysql error 1062] Duplicate entry
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000803)
plg (manager)
2006.04.20 21:35

Correction is trivial, but I can't fully test it. rvlices, can you give me a link to a photo with such a duplicate tag?
(0000809)
plg (manager)
2006.04.20 22:04

I have no duplicate tags in this one:

2#025 = Culture & Communities.Celebrations.Halloween
(0000810)
rvelices (developer)
2006.04.20 22:07

It contains an array of keywords. 'Culture & Communities.Celebrations.Halloween', 'People.Friends' , 'People.Radu' etc...

People appears 3 times.
(0000815)
plg (manager)
2006.04.20 23:04

You're right, I was using tools/metadata.php to display IPTC keywords but it was bugged :-(

- corrected on branch 1.6 [Subversion] r1222
- reported on trunk [Subversion] r1223
(0000821)
rvelices (developer)
2006.04.21 01:31

Just deleted link to my pic.
Also corrected tools/create_listing_file.php

- Issue History
Date Modified Username Field Change
2006.04.18 16:13 rvelices New Issue
2006.04.18 16:13 rvelices browser => any
2006.04.18 16:13 rvelices Web server => Apache 1.3.x
2006.04.19 08:50 plg Assigned To => plg
2006.04.19 08:50 plg Status new => confirmed
2006.04.19 08:50 plg Category directories update => metadata
2006.04.20 21:35 plg Note Added: 0000803
2006.04.20 21:39 rvelices Note Added: 0000804
2006.04.20 22:04 plg Note Added: 0000809
2006.04.20 22:07 rvelices Note Added: 0000810
2006.04.20 23:04 plg Note Added: 0000815
2006.04.20 23:04 plg Status confirmed => closed
2006.04.20 23:04 plg Resolution open => fixed
2006.04.20 23:04 plg Fixed in Version => 1.6 branch
2006.04.21 01:30 rvelices Status closed => feedback
2006.04.21 01:30 rvelices Resolution fixed => reopened
2006.04.21 01:30 rvelices Note Deleted: 0000804
2006.04.21 01:31 rvelices Note Added: 0000821
2006.04.21 01:31 rvelices Status feedback => closed
2006.04.21 01:31 rvelices Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker